import { OnChanges, EventEmitter } from '@angular/core';
import { Configs } from './models/Configs.model';
import { AngularTreeGridService } from './angular-tree-grid.service';
import { Column } from './models/Column.model';
export declare class AngularTreeGridComponent implements OnChanges {
    private angularTreeGridService;
    processed_data: any[];
    expand_tracker: Object;
    columns: Column[];
    data: any[];
    configs: Configs;
    default_configs: Configs;
    default_column_config: Column;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnChanges(): void;
    validateConfigs(): boolean;
    setDefaultConfigs(): void;
    setColumnNames(): void;
}
